#include <bits/stdc++.h>
using namespace std;
int N,L,h,rez;
int main(){
  cin>>N>>L;
  rez=-1;
  for(int i=1;i<=N;i++){
    scanf("%d",&h);
    if(h<=L){
      rez=i;
      break;
    }
  }
  cout<<rez<<endl;
  return 0;
}